User account creation filtered due to spam.

Bug 27400 - switch indexed by class crashes compiler
Summary: switch indexed by class crashes compiler
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.1.0
: P3 normal
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-02 19:36 UTC by cagney
Modified: 2007-01-09 20:48 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-05-29 22:12:44


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cagney 2006-05-02 19:36:34 UTC
$ cat EnumClass.java
class EnumClass
{
    static public final EnumClass x = new EnumClass ();
}
$ cat ClassSwitch.java
class ClassSwitch
{
    public static void main (String[] args)
    {
        switch (args.length) {
        case EnumClass.x: return;
        }
        System.out.println ("Switched");
    }
}
$ gcj ClassSwitch.java
ClassSwitch.java:5: internal compiler error: Segmentation fault
$ gcj --version
gcj (GCC) 4.1.0 20060304 (Red Hat 4.1.0-3)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Comment 1 Andrew Pinski 2006-05-29 22:12:44 UTC
Confirmed.
Comment 2 Tom Tromey 2007-01-09 20:48:35 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.